CREATE INDEX IF NOT EXISTS part_idx_PHONEBOOKCONTACT_starred ON [phonebookcontact] ([starred]) WHERE starred=1;
CREATE INDEX IF NOT EXISTS part_idx_PHONEBOOKCONTACT_has_number_AND_viber_AND_starred ON [phonebookcontact] ([has_number],[viber],[starred]) WHERE has_number=1;
CREATE INDEX IF NOT EXISTS idx_PHONEBOOKCONTACT_phone_label ON [phonebookcontact] ([phone_label]);

CREATE INDEX IF NOT EXISTS idx_PHONEBOOKDATA_contact_id ON [phonebookdata] ([contact_id]);
CREATE INDEX IF NOT EXISTS idx_PHONEBOOKDATA_mime_type_AND_raw_id ON [phonebookdata] ([mime_type],[raw_id]);
CREATE INDEX IF NOT EXISTS idx_PHONEBOOKDATA_mime_type_AND_data2 ON [phonebookdata] ([mime_type],[data2]);
CREATE INDEX IF NOT EXISTS idx_PHONEBOOKDATA_raw_id ON [phonebookdata] ([raw_id]);
CREATE INDEX IF NOT EXISTS idx_PHONEBOOKDATA_data2 ON [phonebookdata] ([data2]);
CREATE INDEX IF NOT EXISTS idx_BLOCKEDNUMBERS_canonized_number ON [blockednumbers] ([canonized_number]);

CREATE INDEX IF NOT EXISTS idx_VIBERNUMBERS_canonized_number ON [vibernumbers] ([canonized_number]);
CREATE INDEX IF NOT EXISTS idx_VIBERNUMBERS_member_id ON [vibernumbers] ([member_id]);
CREATE INDEX IF NOT EXISTS idx_VIBERNUMBERS_encrypted_member_id ON [vibernumbers] ([encrypted_member_id]);
CREATE INDEX IF NOT EXISTS idx_VIBERNUMBERS_date_of_birth ON [vibernumbers] (substr(date_of_birth, 6)) WHERE [date_of_birth] IS NOT NULL;

CREATE INDEX IF NOT EXISTS idx_PHONEBOOKRAWCONTACT_contact_id ON [phonebookrawcontact] ([contact_id]);

--CREATE INDEX IF NOT EXISTS part_idx_PHONEBOOKCONTACT_recently_joined_date ON [phonebookcontact] ([recently_joined_date]) WHERE recently_joined_date>0 OR recently_joined_date<0; --investigate!

CREATE INDEX IF NOT EXISTS part_idx_VIBERPAYDATA_is_viberpay_user ON [viberpay_data] ([is_viberpay_user]) WHERE is_viberpay_user=1;
CREATE INDEX IF NOT EXISTS idx_VIBERPAYDATA_contact_id_AND_is_badge_visible ON [viberpay_data] ([contact_id], [is_badge_visible]);
CREATE INDEX IF NOT EXISTS idx_CONTACT_BUSINESSES_member_id ON [contact_businesses] ([member_id]);